=== debian/changelog ===
polkit-qt-1 (0.114.0-2) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.11
    - bump Qt to 5.5.0
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Bump Standards-Version to 4.6.0, no changes required.
  * Small update of copyright.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Aug 2021 08:19:35 +0200

polkit-qt-1 (0.113.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes QDBusArgument warnings (Closes: #945528)
  * Add the upstream GPG signing key.
  * Update the patches:
    - upstream_Do_not_use_static_instancebus.patch: drop, backported from
      upstream
    - upstream_fix-build-with-Qt4-which-doesn-t-have-QStringLiteral.patch:
      drop, backported from upstream
  * Stop passing -DUSE_QT5=True to cmake, as it is no more needed now.
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Wed, 22 Jul 2020 16:50:23 +0200

polkit-qt-1 (0.112.0-8) unstable; urgency=medium

  * Team upload.

  [ Alexander Volkov ]
  * Update watch file.

  [ Scarlett Moore ]
  * Add salsa ci config file with team defaults.

  [ Pino Toscano ]
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Remove unused DEB_HOST_MULTIARCH variable in rules.
  * Switch from dhmk to the dh sequencer:
    - call the right debhelper command instead of $(overridden_command)
  * Use DEB_CFLAGS_MAINT_APPEND & DEB_CXXFLAGS_MAINT_APPEND to append the
    visibility build flags, instead of setting CFLAGS & CXXFLAGS directly.
  * Explicitly add the libglib2.0-dev, and pkg-config.
  * Switch the debhelper build dependency to debhelper-compat
    - remove debian/compat
  * Use https://invent.kde.org/libraries/polkit-qt-1 for Homepage/Source
    references.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add Rules-Requires-Root: no.
  * Remove the dh_missing override, as --list-missing is the default in
    debhelper compat 12.

 -- Pino Toscano <pino@debian.org>  Mon, 20 Jul 2020 11:53:27 +0200
