=== core/CMakeLists.txt ===
--- 
+++ 
@@ -17,9 +17,9 @@
 
 target_link_libraries(${POLKITQT-1_CORE_PCNAME}
     PUBLIC
-    Qt5::Core
+    Qt${QT_MAJOR_VERSION}::Core
     PRIVATE
-    Qt5::DBus
+    Qt${QT_MAJOR_VERSION}::DBus
     PkgConfig::POLKIT_GOBJECT
     PkgConfig::GLIB2
     PkgConfig::GOBJECT
@@ -32,12 +32,12 @@
 
 target_include_directories(${POLKITQT-1_CORE_PCNAME}
     INTERFACE
-        $<INSTALL_INTERFACE:${INCLUDE_DESTINATION}/${POLKITQT-1_INCLUDE_PATH}>
+        $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${POLKITQT-1_INCLUDE_PATH}>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
 )
 
-install(TARGETS ${POLKITQT-1_CORE_PCNAME} EXPORT ${POLKITQT-1_CAMEL_NAME}Export ARCHIVE DESTINATION ${LIB_DESTINATION}
-                               LIBRARY DESTINATION ${LIB_DESTINATION}
+install(TARGETS ${POLKITQT-1_CORE_PCNAME} EXPORT ${POLKITQT-1_CAMEL_NAME}Export ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
+                               LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
                                RUNTIME DESTINATION bin)
