=== examples/agent/CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 )
 
 target_link_libraries(${POLKITQT-1_AGENT_EXAMPLE}
-    Qt5::Core
-    Qt5::Widgets
+    Qt${QT_MAJOR_VERSION}::Core
+    Qt${QT_MAJOR_VERSION}::Widgets
     ${POLKITQT-1_AGENT_PCNAME}
     ${POLKITQT-1_CORE_PCNAME}
     PkgConfig::POLKIT_AGENT
