=== debian/changelog ===
polkit-qt-1 (0.200.0-4) unstable; urgency=medium

  * Reupload source-only so the package can migrate to testing.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 07 Jun 2024 22:49:56 +0200

polkit-qt-1 (0.200.0-3) unstable; urgency=medium

  * Rebuild against the latest version of Qt6 that drop the t64 suffix
    for most of its libraries.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 07 Jun 2024 22:11:31 +0200

polkit-qt-1 (0.200.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Added myself to the uploaders.
  * Also build qt6 libraries.
  * Activate build hardening flags.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 18 Apr 2024 09:06:06 +0200

polkit-qt-1 (0.200.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump libglib2.0-dev to 2.36
  * Update standards version to 4.6.2, no changes needed.
  * Update symbols file.
  * Switch the obsolete pkg-config build dependency to pkgconf.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Feb 2024 07:01:56 +0100
