=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://download.kde.org/stable/polkit-qt-1/polkit-qt-1-([\d.]+)\.tar\.xz
