## polkit-qt-1 5.0.2

=== debian/changelog ===
polkit-qt-1 (5.0.2-1) unstable; urgency=medium

  * update version higher then repository

 -- fanpengcheng <fanpengcheng@uniontech.com>  Tue, 21 Dec 2021 10:47:35 +0800

polkit-qt-1 (5.0.0.3-1) unstable; urgency=medium

  * update version higher then repository

 -- xiejiabo <xiejiabo@uniontech.com>  Wed, 20 Oct 2021 17:35:46 +0800

polkit-qt-1 (0.112.1-1) unstable; urgency=medium

  * add interface adaptation to polkitd

 -- xiejiabo <xiejiabo@uniontech.com>  Thu, 14 Oct 2021 14:17:11 +0800
